Skip to content

Create a variable

POST
/v1/variables
curl --request POST \
--url https://api.hooks.events/v1/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "value": "example", "environmentId": "example" }'

Requires the endpoints:write scope.

Media typeapplication/json
object
name
required
string
/^[A-Z][A-Z0-9_]{0,63}$/
value
required
string
>= 1 characters <= 2000 characters
environmentId
string | null

Example generated

{
"name": "example",
"value": "example",
"environmentId": "example"
}

Success

Media typeapplication/json
object
data
required
object
id
required

Resource id

string
name
required
string
value
required
string
environmentId
required
string | null
warning
string
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
key
additional properties
key
additional properties

Example generated

{
"data": {
"id": "example",
"name": "example",
"value": "example",
"environmentId": "example",
"warning": "example",
"createdAt": "example",
"updatedAt": "example"
}
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets